package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "RiwayatMasaKehamilan_T")
public class RiwayatMasaKehamilan extends MedicalRecordTransaction{
	
	@ManyToOne
	@JoinColumn(name = "ObjectSifatKehamilanFk")
	@NotNull(message="Sifat Kehamilan tidak boleh kosong")
	@Caption(value="Sifat Kehamilan")
	private SifatKehamilan sifatKehamilan;
	
	@Column(name = "ObjectSifatKehamilanFk", insertable=false,updatable=false, nullable = false)
	private Integer sifatKehamilanId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusPemeriksaanKehamilanFk")
	@NotNull(message="Status Pemeriksaan Kehamilan tidak boleh kosong")
	@Caption(value="Status Pemeriksaan Kehamilan")
	private StatusTeraturTidak statusPemeriksaanKehamilan;
	
	@Column(name = "ObjectStatusPemeriksaanKehamilanFk", insertable=false,updatable=false, nullable = false)
	private Integer statusPemeriksaanKehamilanId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPemeriksaKehamilanFk")
	@NotNull(message="Pemeriksa Kehamilan tidak boleh kosong")
	@Caption(value="Pemeriksa Kehamilan")
	private PemeriksaanKehamilan pemeriksaKehamilan;
	
	@Column(name = "ObjectStatusPemeriksaanKehamilanFk", insertable=false,updatable=false, nullable = false)
	private Integer pemeriksaKehamilanId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPenyakitIbuHamilFk")
	@NotNull(message="Penyakit Ibu Hamil tidak boleh kosong")
	@Caption(value="Penyakit Ibu Hamil")
	private PenyakitIbuHamil penyakitIbuHamil;
	
	@Column(name = "ObjectPenyakitIbuHamilFk", insertable=false,updatable=false, nullable = false)
	private Integer penyakitIbuHamilId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKbSebelumHamilFk")
	@NotNull(message="KB Sebelum Hamil tidak boleh kosong")
	@Caption(value="KB Sebelum Hamil")
	private KbSebelumHamil kbSebelumHamil;
	
	@Column(name = "ObjectKbSebelumHamilFk", insertable=false,updatable=false, nullable = false)
	private Integer kbSebelumHamilId;
	
	@Column(name = "MasalahSaatHamil", nullable = true)
	@Caption(value="Masalah Saat Hamil")
	private String masalahSaatHamil;

	public PemeriksaanKehamilan getPemeriksaKehamilan() {
		return pemeriksaKehamilan;
	}

	public void setPemeriksaKehamilan(PemeriksaanKehamilan pemeriksaKehamilan) {
		this.pemeriksaKehamilan = pemeriksaKehamilan;
	}

	public PenyakitIbuHamil getPenyakitIbuHamil() {
		return penyakitIbuHamil;
	}

	public void setPenyakitIbuHamil(PenyakitIbuHamil penyakitIbuHamil) {
		this.penyakitIbuHamil = penyakitIbuHamil;
	}

	public KbSebelumHamil getKbSebelumHamil() {
		return kbSebelumHamil;
	}

	public void setKbSebelumHamil(KbSebelumHamil kbSebelumHamil) {
		this.kbSebelumHamil = kbSebelumHamil;
	}

	public String getMasalahSaatHamil() {
		return masalahSaatHamil;
	}

	public void setMasalahSaatHamil(String masalahSaatHamil) {
		this.masalahSaatHamil = masalahSaatHamil;
	}

	public SifatKehamilan getSifatKehamilan() {
		return sifatKehamilan;
	}

	public void setSifatKehamilan(SifatKehamilan sifatKehamilan) {
		this.sifatKehamilan = sifatKehamilan;
	}

	public StatusTeraturTidak getStatusPemeriksaanKehamilan() {
		return statusPemeriksaanKehamilan;
	}

	public void setStatusPemeriksaanKehamilan(StatusTeraturTidak statusPemeriksaanKehamilan) {
		this.statusPemeriksaanKehamilan = statusPemeriksaanKehamilan;
	}
	
	
}
